POST/api/v1/prompts/ab-tests

Start a prompt A/B test

Begins a production A/B test between two prompt versions. Traffic split is configured per-deployment.

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.

Request body required

Example

{
  "prompt_id": "00000000-0000-0000-0000-000000000000",
  "control_hash": "string",
  "variant_hash": "string",
  "traffic_split": 0
}
Schema
{
  "application/json": {
    "schema": {
      "type": "object",
      "required": [
        "prompt_id",
        "control_hash",
        "variant_hash",
        "traffic_split"
      ],
      "properties": {
        "prompt_id": {
          "type": "string",
          "format": "uuid"
        },
        "control_hash": {
          "type": "string"
        },
        "variant_hash": {
          "type": "string"
        },
        "traffic_split": {
          "type": "number",
          "minimum": 0,
          "maximum": 1,
          "description": "Fraction of traffic to variant; control gets the rest."
        }
      }
    }
  }
}

Response

200 example

{
  "success": true
}

All status codes

200Test started.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
429(no description)

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/prompts/ab-tests \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "prompt_id": "00000000-0000-0000-0000-000000000000", "control_hash": "string", "variant_hash": "string", "traffic_split": 0 }'

TypeScript

import { EvalGuard } from "@evalguard/sdk";

const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });

const response = await client.request({
  method: "POST",
  path: "/api/v1/prompts/ab-tests",
  body: {
    "prompt_id": "00000000-0000-0000-0000-000000000000",
    "control_hash": "string",
    "variant_hash": "string",
    "traffic_split": 0
  },
});
console.log(response);

Python

from evalguard import EvalGuard
import os

client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])

response = client.request(
    method="POST",
    path="/api/v1/prompts/ab-tests",
    body={
    "prompt_id": "00000000-0000-0000-0000-000000000000",
    "control_hash": "string",
    "variant_hash": "string",
    "traffic_split": 0
},
)
print(response)

Go

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/evalguard/evalguard-go"
)

func main() {
	client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
	resp, err := client.Request(context.Background(), "POST", "/api/v1/prompts/ab-tests", map[string]any{"prompt_id": "00000000-0000-0000-0000-000000000000", "control_hash": "string", "variant_hash": "string", "traffic_split": 0})
	if err != nil { panic(err) }
	fmt.Println(resp)
}

Errors

400401403429

Other Prompts endpoints